part of 'notifications_bloc.dart';

@immutable
class NotificationsState {
  final bool inLoading;
  final List<NotificationEntity> notifications;

  NotificationsState({this.inLoading = false, this.notifications = const []});


  NotificationsState copyWith({
    bool? inLoading,
    List<NotificationEntity>? notifications,
  }) {
    return NotificationsState(
      inLoading: inLoading ?? this.inLoading,
      notifications: notifications ?? this.notifications,
    );
  }
}
